Subject: Re: [PATCH 1/2] powerpc/book3e-64: hv exceptions aren't MASKABLE

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 21 May 2011 08:30:46 +1000

On Fri, 2011-05-20 at 14:00 -0500, Scott Wood wrote:
> In general we will not have EE soft-disabled or be napping when
> these exceptions happen, but still it is not correct.
> 
> The guest doorbell exceptions can only be triggered with MSR[GS]=1,
> and thus for host kernel nesting purposes are base-level exceptions.
> 
> Note that ehpriv and hypercall are triggerable from normal userspace.
> I tested that the process gets properly signalled in this case.

Please split the renaming of type->level from the actual functional
patch.

Cheers,
Ben.